﻿using System;
using System.Collections.Generic;
using System.Text;

namespace cosc427_design.ServerRequests
{
    class ChecksummedSenderFactory : HttpPOSTRequestSenderFactory
    {
        public override HttpPOSTRequestSender CreateHttpPOSTRequestSender(string url)
        {
            BasicSender basicSender = new BasicSender(url);
            ChecksummedSender sender = new ChecksummedSender();
            sender.SetComponentSender(basicSender);
            return sender;
        }
    }
}
