﻿using System;
using System.Collections.Generic;
using System.Text;

namespace cosc427_design.ServerRequests
{
    public static class ServerConnectionDetails
    {

        private const string ServerUrl = "http://localhost/requests/";
        private const string calLogPage = "cal.php";
        private const string calAuthPage = "auth.php";
        private const string regPage = "reg.php";

        public static string RegistrationUrl
        {
            get
            {
                return ServerConnectionDetails.ServerUrl + ServerConnectionDetails.regPage;
            }
        }

        public static string CalibrationLogUploadUrl
        {
            get
            {
                return ServerConnectionDetails.ServerUrl + ServerConnectionDetails.calLogPage;
            }
        }

        public static string CalibrationAuthUrl
        {
            get
            {
                return ServerConnectionDetails.ServerUrl + ServerConnectionDetails.calAuthPage;
            }
        }
    }
}
